Images Created on FOG 1.5.9 Not deployable from FOG 1.5.5


  • While we are updating our server OS’s to deal with the newer version of FOG that is out… we are finding that the images that have been created with the newer version of FOG, and replicated to the other sites with the older versions of FOG that’s running. Seems there is a sizing issue when trying to deploy newer images with the older FOG version. For some reason it is expected a Petabyte in storage to deploy… and the images obviously are no where close to this.

    My initial thoughts are that in the newer versions of FOG, PartClone was updated, and maybe the older versions of PartClone can’t read the partition information correctly regarding sizing. I figured if this was the case, there still should be a way around it temporarily until we have the new servers at the other sites up and going.

    Can I get someone to confirm what I am seeing is the case? And if there is a work around that I can use for partclone to ignore size, and just deploy.

    Image Build Server: Ubuntu 20.04, FOG 1.5.9
    Image Deploy Servers: Ubuntu 18.04, FOG 1.5.5

    New images created by Build server, fail on deploy servers with: PartClone Fail… failed to restore image. Not enough free memory, partclone suggests you have 55732046249873802 bytes available.


  • @sebastian-roth

    Update…
    It appears updating the init.xy file AND adjusting the KERNEL RAMDISK SIZE setting was the key to get it working. Only have tested with 1 of the images created on the new 1.5.9 server, deploying on the 1.5.5 server. Looks like we can limp along doing this until we can get the other sites updated, which is in motion now.

    I owe you guys a beer! Thank you again!


  • @sebastian-roth

    Ah… good to know.

    Will give that a try as well, and update this comment on the results. It may be tomorrow before I have a tester at the site to see if that resolves it. Crossing my fingers. As always, thank you!

  • Moderator

    @tutungzone Yep ram disk size needs to be increased for the new inits. The larger ram disk size will not hurt / impact running the older inits. You are basically changing the ram disk size from 127MB to 278MB (yes MB, not GB).

  • Senior Developer

    @Tutungzone Maybe there is a quick fix for this issue. It’s been some time since we updated the RAMDISK size and I guess this could fix it: Go to the FOG web UI -> FOG Configuration -> FOG Settings -> TFTP Server and set KERNEL RAMDISK SIZE to 275000. Save settings and try booting into a task again.


  • @george1421 Hey there, and thanks for the reply.

    Tried the init.xz file, and deploys on the 1.5.5 server still failed, but with a new message about Kernel panic.
    2021-04-13 10_55_54-Window.png

    Figured I would try with the whole ipxe directory in case the service needed the updated files within the directory as well, and again still received the Kernel panic mssg, slightly different… but the same.
    2021-04-13 10_58_56-Window.png

    At this point, I think I would have to adjust many things to include the newest Kernel for FOG to use, but that that point it may have dependencies on code that may not exist in the older 1.5.5 version… so I am not sure that it is worth the adjust. We have tested the image deploy through the 1.5.9 FOG server, and it worked fine, so we know it is not image related.

    Gonna fast-track the FOG server rebuild so we can deploy these newer images. As always, thank you for the confirmation on differences, and ideas on what can be tested or tried.

    Note for self going forward… higher version of FOG is backward compatible to images created with earlier versions of FOG, but Older versions of FOG is not compatible with images created with newer versions of FOG. Pretty typical with any software, just figured I may be able to make something work for a few weeks while we update, we will just halt the image creation for now.

  • Moderator

    Unfortunately, not only partclone was updated, but a ton of the logic in handling partitions/disks was changed as well to be more flexible, fewer bugs, etc

    Older partclone versions would indeed be unable to deploy newer partclone images, there is nothing that can be done to change that.

    You can try using the 1.5.9 init (and 1.5.9 kernel bzImage) on those storage nodes, though, like George said. I don’t know if it will work, but if it does it should help you out.

  • Moderator

    @tutungzone There was a change in the partclone version between 1.5.5 and 1.5.9. Really all fog servers and storage nodes need to be at a similar release version for the best workings. The fog developers realize that this is not always possible. There isn’t a backwards compatibility between images captured on 1.5.9 and being deployed on 1.5.5.

    BUT what you can test is to look in /var/www/html/fog/service/ipxe directory on the 1.5.9 FOG server for a file called init.xz This is the virtual hard drive for the linux os that gets loaded on the target computer to do the imaging. You can test to see if it works with 1.5.5 (I personally never tested it) by saving the 1.5.5 version of init.xz and copying over the 1.5.9 version of init.xz to the 1.5.5 server. There is a good chance the virtual hard drive will run just fine under 1.5.5. The updated version of partclone is part of this newer init. If it doesn’t work, then you need to upgrade all of your storage nodes. But this simple file copy should do the trick.

396
Online

8.4k
Users

15.2k
Topics

142.5k
Posts